aboutsummaryrefslogtreecommitdiffstats
path: root/mkindex.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mkindex.sh')
-rwxr-xr-xmkindex.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/mkindex.sh b/mkindex.sh
new file mode 100755
index 0000000..c6dbb74
--- /dev/null
+++ b/mkindex.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+htmldir="/var/www/localhost/htdocs"
+
+if ! command -v discount-theme >/dev/null 2>&1; then
+ echo "Cannot find discount-theme please install discount"
+ exit 1
+fi
+
+for i in html boot.ipxe; do
+ [ -L "$htmldir/$i" ] || ln -s "$(realpath $i)" "$htmldir"
+done
+
+discount-theme -t html/page.theme \
+ -o "$htmldir"/index.html README.md